Subject: [PATCH v4 00/13] arm64/firmware: Software Delegated Exception Interface

From: [email-masked] (Will Deacon)
Date: Wed, 18 Oct 2017 18:16:15 +0100

Hi James,

On Tue, Oct 17, 2017 at 06:44:19PM +0100, James Morse wrote:
> The Software Delegated Exception Interface (SDEI) is an ARM specification
> for registering callbacks from the platform firmware into the OS.
> This is intended to be used to implement firmware-first RAS notifications,
> but also supports vendor-defined events and binding IRQs as events.
> 
> The document is here:
> http://infocenter.arm.com/help/topic/com.arm.doc.den0054a/ARM_DEN0054A_Software_Delegated_Exception_Interface.pdf
> 
> I anticpate once reviewed this series will go via the arm-soc tree, as the
> bulk of the code is under /drivers/firmware/.

Given the close coupling with the arch code, I'm actually fine taking this
all via arm64 so save it being spread across two merge windows. The driver
code is a new file, so the scope for conflicts is minimal.

Will